Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225939 - jowl: FTBFS in Fedora rawhide/f39
Summary: jowl: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jowl
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Axelrod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:14 UTC by Fedora Release Engineering
Modified: 2023-09-17 20:45 UTC (History)
1 user (show)

Fixed In Version: 2.3.1-1.f39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-17 20:45:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:14 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:14 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:14 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:14:00 UTC
jowl failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103612589


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix jowl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
jowl will be orphaned. Before branching of Fedora 40,
jowl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:14:06 UTC
Created attachment 1978249 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:14:10 UTC
Created attachment 1978250 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:14:13 UTC
Created attachment 1978251 [details]
state.log

Comment 4 Daniel Axelrod 2023-08-05 17:51:26 UTC
This looks like a simple case of Jowl not declaring that it's compatible with Node 20. Working on that now.

Comment 5 Daniel Axelrod 2023-08-05 18:18:13 UTC
Working on this upstream in https://github.com/daxelrod/jowl/pull/53 .

Comment 6 Fedora Release Engineering 2023-08-16 07:58:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 7 Daniel Axelrod 2023-08-21 14:00:52 UTC
Fixed in upstream codebase, I just need to tweak the Packit config to get it correctly updated. Will do my best to get that in later today.

Comment 8 Daniel Axelrod 2023-09-17 20:45:04 UTC
Fixed in https://src.fedoraproject.org/rpms/jowl/c/5817c6a1b8185f97bc75f0ec5daaabe74823a688?branch=f39 released as 2.3.1-1.f39.

I fixed this on August 22, apologies for not following up on this bug until now.


Note You need to log in before you can comment on or make changes to this bug.